-- Alien_Preserve_BuildingQuest_Effect
-- Author: HandyVac
-- DateCreated: 9/29/2015 10:26:51 PM
--------------------------------------------------------------
-- this script will give a positive shift to alien opinion to players who choose the appropriate option in the Alien Preserve building-quest

local AlienPreserveOpinonShift_ID = GameInfo.PlayerPerks["PLAYERPERK_AAY_ALIEN_PRESERVE_ALIEN_OPINION_ONE_OFF"].ID;


function DoAlienPreserveOpinionShift ()
-- serialevent passes different information than playerdoturn, so cannot rely on the player ID being passed as argument
local CurrentPlayerID = Game.GetActivePlayer()

local pPlayer = Players[CurrentPlayerID];

	-- Has this player picked the relevant building quest option?
	if pPlayer:HasPerk(AlienPreserveOpinonShift_ID) then
		print("Player has chosen the Shift Alien Opinion option in Alien Preserve building quest");
		
		-- get current alien opinion
		local CurrentAlienOpinion = Aliens.GetOpinionForPlayer();
		print("Alien opinion is currently " .. CurrentAlienOpinion);

		-- set new opinion to one step friendlier
		if CurrentAlienOpinion == AIAlienOpinionTypes.ALIEN_OPINION_VERY_HOSTILE then
			Aliens.SetOpinionForPlayer(CurrentPlayerID, AIAlienOpinionTypes.ALIEN_OPINION_HOSTILE );
			print("improved to slightly hostile");
		end 
		if CurrentAlienOpinion == AIAlienOpinionTypes.ALIEN_OPINION_HOSTILE then
			Aliens.SetOpinionForPlayer(CurrentPlayerID, AIAlienOpinionTypes.ALIEN_OPINION_NEUTRAL );
			print("improved to neutral")
		end 
		if CurrentAlienOpinion == AIAlienOpinionTypes.ALIEN_OPINION_NEUTRAL then
			Aliens.SetOpinionForPlayer(CurrentPlayerID, AIAlienOpinionTypes.ALIEN_OPINION_FRIENDLY );
			print("improved to friendly")
		end 
		
		-- remove the playerperk, so this effect only happens once.
		pPlayer:RemovePerk(AlienPreserveOpinonShift_ID);
	end
end


-- for the benefit of the human player, call this whenever a popup window is displayed on the screen (e.g. the "Quest Complete" one)
Events.SerialEventGameMessagePopup.Add(DoAlienPreserveOpinionShift);


-- and since the AI doesn't use graphical windows, also call this at the start of every player's turn
GameEvents.PlayerDoTurn.Add(DoAlienPreserveOpinionShift);