-- Calculate_Affinity_Yields
-- Author: HandyVac
-- DateCreated: 2/14/2015 7:00:43 PM
--------------------------------------------------------------


include( "Affinity_Yield_Utilities" );



-- Adds the player's total affinity-per-turn yields to their affinity score
function ProcessAffinityYields(CurrentPlayerID)
	local pPlayer = Players[CurrentPlayerID];

	--print("processing affinity yields for player " .. CurrentPlayerID .. ": " .. Locale.ConvertTextKey( pPlayer:GetName()));

	-- grab total affinity scores for this player
	local playerAffinityYields = GetTotalAffinityYieldsForPlayer(CurrentPlayerID);

	-- round up or down, to the nearest integer
	playerAffinityYields.Supremacy	= math.floor(playerAffinityYields.Supremacy		+ 0.5);
	playerAffinityYields.Harmony	= math.floor(playerAffinityYields.Harmony		+ 0.5);
	playerAffinityYields.Purity		= math.floor(playerAffinityYields.Purity		+ 0.5);

	-- add total to player's affinity scores
	--print("Adding Total " .. playerAffinityYields.Supremacy .. " Supremacy, " .. playerAffinityYields.Harmony .. " Harmony, " .. playerAffinityYields.Purity .. " Purity for player this turn");

	pPlayer:ChangeAffinityScore(GameInfo.Affinity_Types["AFFINITY_TYPE_SUPREMACY"].ID, playerAffinityYields.Supremacy);
	pPlayer:ChangeAffinityScore(GameInfo.Affinity_Types["AFFINITY_TYPE_HARMONY"].ID, playerAffinityYields.Harmony);
	pPlayer:ChangeAffinityScore(GameInfo.Affinity_Types["AFFINITY_TYPE_PURITY"].ID, playerAffinityYields.Purity);

end;

-- call this at start of every player's turn
GameEvents.PlayerDoTurn.Add(ProcessAffinityYields);




